API Explorer 936 endpoints

Create Custom View

POST /obp/v7.0.0/banks/BANK_ID/accounts/VIEW_ACCOUNT_ID/views

OBPv3.0.0-createViewForBankAccount No role required View-CustomAccount

Create a custom view on bank account

User Authentication is Required. The User must be logged in. The Application must also be authenticated. and the user needs to have access to the owner view. The 'alias' field in the JSON can take one of three values:

  • public: to use the public alias if there is one specified for the other account.

  • private: to use the private alias if there is one specified for the other account.

  • ''(empty string): to use no alias; the view shows the real name of the other account.

The 'hide_metadata_if_alias_used' field in the JSON can take boolean values. If it is set to true and there is an alias on the other account then the other accounts' metadata (like more_info, url, image_url, open_corporates_url, etc.) will be hidden. Otherwise the metadata will be shown.

The 'allowed_actions' field is a list containing the name of the actions allowed on this view, all the actions contained will be set to true on the view creation, the rest will be set to false.

The 'metadata_view' field determines where metadata (comments, tags, images, where tags) for transactions are stored and retrieved. If set to another view's ID (e.g. 'owner'), metadata added through this view will be shared with all other views that also use the same metadata_view value. If left empty, metadata is stored under this view's own ID and is not shared with other views.

You MUST use a leading _ (underscore) in the view name because other view names are reserved for OBP system views.

URL Parameters:

BANK_ID: gh.29.uk

VIEW_ACCOUNT_ID: VIEW_ACCOUNT_ID

JSON request body fields (7)
allowed_actions
description
Description of the object. Maximum length is 2000. It can be any characters here.
hide_metadata_if_alias_used
false
is_public
false
metadata_view
name
ACCOUNT_MANAGEMENT_FEE
which_alias_to_use
public
JSON response body fields (82)
alias
can_add_comment
can_add_corporate_location
can_add_counterparty
false
can_add_image
can_add_image_url
false
can_add_more_info
false
can_add_open_corporates_url
can_add_physical_location
can_add_private_alias
can_add_public_alias
can_add_tag
false
can_add_transaction_request_to_any_account
can_add_transaction_request_to_own_account
false
can_add_url
can_add_where_tag
can_create_direct_debit
false
can_create_standing_order
can_delete_comment
can_delete_corporate_location
false
can_delete_image
false
can_delete_physical_location
can_delete_tag
can_delete_where_tag
false
can_edit_owner_comment
false
can_query_available_funds
false
can_see_bank_account_balance
can_see_bank_account_bank_name
false
can_see_bank_account_credit_limit
false
can_see_bank_account_currency
can_see_bank_account_iban
can_see_bank_account_label
false
can_see_bank_account_national_identifier
can_see_bank_account_number
false
can_see_bank_account_owners
false
can_see_bank_account_routing_address
can_see_bank_account_routing_scheme
can_see_bank_account_swift_bic
can_see_bank_account_type
can_see_bank_routing_address
false
can_see_bank_routing_scheme
can_see_comments
can_see_corporate_location
false
can_see_image_url
false
can_see_images
false
can_see_more_info
can_see_open_corporates_url
can_see_other_account_bank_name
can_see_other_account_iban
can_see_other_account_kind
can_see_other_account_metadata
can_see_other_account_national_identifier
false
can_see_other_account_number
false
can_see_other_account_routing_address
false
can_see_other_account_routing_scheme
can_see_other_account_swift_bic
false
can_see_other_bank_routing_address
can_see_other_bank_routing_scheme
can_see_owner_comment
can_see_physical_location
can_see_private_alias
can_see_public_alias
can_see_tags
can_see_transaction_amount
false
can_see_transaction_balance
can_see_transaction_currency
can_see_transaction_description
false
can_see_transaction_finish_date
can_see_transaction_metadata
can_see_transaction_other_bank_account
can_see_transaction_start_date
can_see_transaction_this_bank_account
can_see_transaction_type
can_see_url
false
can_see_where_tag
false
description
Description of the object. Maximum length is 2000. It can be any characters here.
hide_metadata_if_alias_used
false
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
is_system
true
metadata_view
short_name
Example request body
{
  "name": "_test",
  "description": "This view is for family",
  "metadata_view": "_test",
  "is_public": true,
  "which_alias_to_use": "family",
  "hide_metadata_if_alias_used": false,
  "allowed_actions": [
    "can_edit_owner_comment",
    "can_see_transaction_this_bank_account",
    "can_see_transaction_other_bank_account",
    "can_see_transaction_metadata",
    "can_see_transaction_amount",
    "can_see_transaction_type",
    "can_see_transaction_currency",
    "can_see_transaction_start_date",
    "can_see_transaction_finish_date",
    "can_see_transaction_balance",
    "can_see_comments",
    "can_see_tags",
    "can_see_images",
    "can_see_bank_account_owners",
    "can_see_bank_account_type",
    "can_see_bank_account_balance",
    "can_see_bank_account_currency",
    "can_see_bank_account_label",
    "can_see_bank_account_national_identifier",
    "can_see_bank_account_swift_bic",
    "can_see_bank_account_iban",
    "can_see_bank_account_number",
    "can_see_bank_account_bank_name",
    "can_see_other_account_national_identifier",
    "can_see_other_account_swift_bic",
    "can_see_other_account_iban",
    "can_see_other_account_bank_name",
    "can_see_other_account_number",
    "can_see_other_account_metadata",
    "can_see_other_account_kind",
    "can_see_more_info",
    "can_see_url",
    "can_see_image_url",
    "can_see_open_corporates_url",
    "can_see_corporate_location",
    "can_see_physical_location",
    "can_see_public_alias",
    "can_see_private_alias",
    "can_add_more_info",
    "can_add_url",
    "can_add_image_url",
    "can_add_open_corporates_url",
    "can_add_corporate_location",
    "can_add_physical_location",
    "can_add_public_alias",
    "can_add_private_alias",
    "can_delete_corporate_location",
    "can_delete_physical_location",
    "can_add_comment",
    "can_delete_comment",
    "can_add_tag",
    "can_delete_tag",
    "can_add_image",
    "can_delete_image",
    "can_add_where_tag",
    "can_see_where_tag",
    "can_delete_where_tag",
    "can_see_bank_routing_scheme",
    "can_see_bank_routing_address",
    "can_see_bank_account_routing_scheme",
    "can_see_bank_account_routing_address",
    "can_see_other_bank_routing_scheme",
    "can_see_other_bank_routing_address",
    "can_see_other_account_routing_scheme",
    "can_see_other_account_routing_address",
    "can_query_available_funds",
    "can_add_transaction_request_to_own_account",
    "can_add_transaction_request_to_any_account",
    "can_see_bank_account_credit_limit",
    "can_create_direct_debit",
    "can_create_standing_order",
    "can_add_transaction_request_to_any_account"
  ]
}
Example success response
{
  "id": "1234",
  "short_name": "short_name",
  "description": "description",
  "metadata_view": "owner",
  "is_public": true,
  "is_system": true,
  "alias": "No",
  "hide_metadata_if_alias_used": true,
  "can_add_comment": true,
  "can_add_corporate_location": true,
  "can_add_image": true,
  "can_add_image_url": true,
  "can_add_more_info": true,
  "can_add_open_corporates_url": true,
  "can_add_physical_location": true,
  "can_add_private_alias": true,
  "can_add_public_alias": true,
  "can_add_tag": true,
  "can_add_url": true,
  "can_add_where_tag": true,
  "can_delete_comment": true,
  "can_add_counterparty": true,
  "can_delete_corporate_location": true,
  "can_delete_image": true,
  "can_delete_physical_location": true,
  "can_delete_tag": true,
  "can_delete_where_tag": true,
  "can_edit_owner_comment": true,
  "can_see_bank_account_balance": true,
  "can_query_available_funds": true,
  "can_see_bank_account_bank_name": true,
  "can_see_bank_account_currency": true,
  "can_see_bank_account_iban": true,
  "can_see_bank_account_label": true,
  "can_see_bank_account_national_identifier": true,
  "can_see_bank_account_number": true,
  "can_see_bank_account_owners": true,
  "can_see_bank_account_swift_bic": true,
  "can_see_bank_account_type": true,
  "can_see_comments": true,
  "can_see_corporate_location": true,
  "can_see_image_url": true,
  "can_see_images": true,
  "can_see_more_info": true,
  "can_see_open_corporates_url": true,
  "can_see_other_account_bank_name": true,
  "can_see_other_account_iban": true,
  "can_see_other_account_kind": true,
  "can_see_other_account_metadata": true,
  "can_see_other_account_national_identifier": true,
  "can_see_other_account_number": true,
  "can_see_other_account_swift_bic": true,
  "can_see_owner_comment": true,
  "can_see_physical_location": true,
  "can_see_private_alias": true,
  "can_see_public_alias": true,
  "can_see_tags": true,
  "can_see_transaction_amount": true,
  "can_see_transaction_balance": true,
  "can_see_transaction_currency": true,
  "can_see_transaction_description": true,
  "can_see_transaction_finish_date": true,
  "can_see_transaction_metadata": true,
  "can_see_transaction_other_bank_account": true,
  "can_see_transaction_start_date": true,
  "can_see_transaction_this_bank_account": true,
  "can_see_transaction_type": true,
  "can_see_url": true,
  "can_see_where_tag": true,
  "can_see_bank_routing_scheme": true,
  "can_see_bank_routing_address": true,
  "can_see_bank_account_routing_scheme": true,
  "can_see_bank_account_routing_address": true,
  "can_see_other_bank_routing_scheme": true,
  "can_see_other_bank_routing_address": true,
  "can_see_other_account_routing_scheme": true,
  "can_see_other_account_routing_address": true,
  "can_add_transaction_request_to_own_account": true,
  "can_add_transaction_request_to_any_account": true,
  "can_see_bank_account_credit_limit": true,
  "can_create_direct_debit": true,
  "can_create_standing_order": true
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv3.0.0 createViewForBankAccount Originally /obp/v3.0.0/banks/BANK_ID/accounts/VIEW_ACCOUNT_ID/views